Move the sources to trunk
[opencv] / tests / cxcore / src / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = ../../..
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 check_PROGRAMS = cxcoretest$(EXEEXT)
40 subdir = tests/cxcore/src
41 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/autotools/aclocal/az_python.m4 \
44         $(top_srcdir)/autotools/aclocal/pkg.m4 \
45         $(top_srcdir)/autotools/aclocal/swig_complete.m4 \
46         $(top_srcdir)/autotools/aclocal/version_at_least.m4 \
47         $(top_srcdir)/configure.in
48 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
49         $(ACLOCAL_M4)
50 mkinstalldirs = $(SHELL) $(top_srcdir)/autotools/mkinstalldirs
51 CONFIG_HEADER = $(top_builddir)/cvconfig.h
52 CONFIG_CLEAN_FILES =
53 am_cxcoretest_OBJECTS = aarithm.$(OBJEXT) adatastruct.$(OBJEXT) \
54         adxt.$(OBJEXT) amath.$(OBJEXT) cxcoretest_main.$(OBJEXT)
55 cxcoretest_OBJECTS = $(am_cxcoretest_OBJECTS)
56 cxcoretest_DEPENDENCIES = $(top_builddir)/tests/cxts/libcxts.la \
57         $(top_builddir)/cxcore/src/libcxcore.la
58 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
59 depcomp = $(SHELL) $(top_srcdir)/autotools/depcomp
60 am__depfiles_maybe = depfiles
61 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
62         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
63 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
64         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
65         $(AM_CXXFLAGS) $(CXXFLAGS)
66 CXXLD = $(CXX)
67 CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
68         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
69 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
70         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
71 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
72         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
73         $(AM_CFLAGS) $(CFLAGS)
74 CCLD = $(CC)
75 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
76         $(AM_LDFLAGS) $(LDFLAGS) -o $@
77 SOURCES = $(cxcoretest_SOURCES)
78 DIST_SOURCES = $(cxcoretest_SOURCES)
79 ETAGS = etags
80 CTAGS = ctags
81 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
82 ACLOCAL = @ACLOCAL@
83 ALLOCA = @ALLOCA@
84 AMDEP_FALSE = @AMDEP_FALSE@
85 AMDEP_TRUE = @AMDEP_TRUE@
86 AMTAR = @AMTAR@
87 AR = @AR@
88 AS = @AS@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BUILD_APPS_FALSE = @BUILD_APPS_FALSE@
94 BUILD_APPS_TRUE = @BUILD_APPS_TRUE@
95 BUILD_CARBON_FALSE = @BUILD_CARBON_FALSE@
96 BUILD_CARBON_TRUE = @BUILD_CARBON_TRUE@
97 BUILD_DC1394_FALSE = @BUILD_DC1394_FALSE@
98 BUILD_DC1394_TRUE = @BUILD_DC1394_TRUE@
99 BUILD_FFMPEG_FALSE = @BUILD_FFMPEG_FALSE@
100 BUILD_FFMPEG_TRUE = @BUILD_FFMPEG_TRUE@
101 BUILD_GTK_FALSE = @BUILD_GTK_FALSE@
102 BUILD_GTK_TRUE = @BUILD_GTK_TRUE@
103 BUILD_IMAGEIO_FALSE = @BUILD_IMAGEIO_FALSE@
104 BUILD_IMAGEIO_TRUE = @BUILD_IMAGEIO_TRUE@
105 BUILD_PYTHON_WRAPPERS_FALSE = @BUILD_PYTHON_WRAPPERS_FALSE@
106 BUILD_PYTHON_WRAPPERS_TRUE = @BUILD_PYTHON_WRAPPERS_TRUE@
107 BUILD_QUICKTIME_FALSE = @BUILD_QUICKTIME_FALSE@
108 BUILD_QUICKTIME_TRUE = @BUILD_QUICKTIME_TRUE@
109 BUILD_V4L_FALSE = @BUILD_V4L_FALSE@
110 BUILD_V4L_TRUE = @BUILD_V4L_TRUE@
111 BUILD_XINE_FALSE = @BUILD_XINE_FALSE@
112 BUILD_XINE_TRUE = @BUILD_XINE_TRUE@
113 CARBON_CFLAGS = @CARBON_CFLAGS@
114 CARBON_LIBS = @CARBON_LIBS@
115 CC = @CC@
116 CCDEPMODE = @CCDEPMODE@
117 CFLAGS = @CFLAGS@
118 CPP = @CPP@
119 CPPFLAGS = @CPPFLAGS@
120 CXX = @CXX@
121 CXXCPP = @CXXCPP@
122 CXXDEPMODE = @CXXDEPMODE@
123 CXXFLAGS = @CXXFLAGS@
124 CYGPATH_W = @CYGPATH_W@
125 DEBUG = @DEBUG@
126 DEFS = @DEFS@
127 DEPDIR = @DEPDIR@
128 DLLTOOL = @DLLTOOL@
129 ECHO = @ECHO@
130 ECHO_C = @ECHO_C@
131 ECHO_N = @ECHO_N@
132 ECHO_T = @ECHO_T@
133 EGREP = @EGREP@
134 EXEEXT = @EXEEXT@
135 F77 = @F77@
136 FFLAGS = @FFLAGS@
137 FFMPEGLIBS = @FFMPEGLIBS@
138 GREP = @GREP@
139 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
140 GTHREAD_LIBS = @GTHREAD_LIBS@
141 GTK_CFLAGS = @GTK_CFLAGS@
142 GTK_LIBS = @GTK_LIBS@
143 IEEE1394LIBS = @IEEE1394LIBS@
144 IMAGELIBS = @IMAGELIBS@
145 INSTALL_DATA = @INSTALL_DATA@
146 INSTALL_PROGRAM = @INSTALL_PROGRAM@
147 INSTALL_SCRIPT = @INSTALL_SCRIPT@
148 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
149 LDFLAGS = @LDFLAGS@
150 LIBOBJS = @LIBOBJS@
151 LIBS = @LIBS@
152 LIBTOOL = @LIBTOOL@
153 LN_S = @LN_S@
154 LTLIBOBJS = @LTLIBOBJS@
155 LT_VERSION = @LT_VERSION@
156 MAKEINFO = @MAKEINFO@
157 MMAJOR = @MMAJOR@
158 MMINOR = @MMINOR@
159 MSUBMINOR = @MSUBMINOR@
160 OBJDUMP = @OBJDUMP@
161 OBJEXT = @OBJEXT@
162 PACKAGE = @PACKAGE@
163 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
164 PACKAGE_NAME = @PACKAGE_NAME@
165 PACKAGE_STRING = @PACKAGE_STRING@
166 PACKAGE_TARNAME = @PACKAGE_TARNAME@
167 PACKAGE_VERSION = @PACKAGE_VERSION@
168 PATH_SEPARATOR = @PATH_SEPARATOR@
169 PKG_CONFIG = @PKG_CONFIG@
170 PYTHON = @PYTHON@
171 PYTHON_CSPEC = @PYTHON_CSPEC@
172 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
173 PYTHON_LSPEC = @PYTHON_LSPEC@
174 PYTHON_PLATFORM = @PYTHON_PLATFORM@
175 PYTHON_PREFIX = @PYTHON_PREFIX@
176 PYTHON_VERSION = @PYTHON_VERSION@
177 PY_CXXFLAGS = @PY_CXXFLAGS@
178 QUICKTIME_CFLAGS = @QUICKTIME_CFLAGS@
179 QUICKTIME_LIBS = @QUICKTIME_LIBS@
180 RANLIB = @RANLIB@
181 SET_MAKE = @SET_MAKE@
182 SHELL = @SHELL@
183 STRIP = @STRIP@
184 SWIG = @SWIG@
185 SWIG_PYTHON_LIBS = @SWIG_PYTHON_LIBS@
186 SWIG_PYTHON_OPT = @SWIG_PYTHON_OPT@
187 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
188 SWIG_VERSION = @SWIG_VERSION@
189 UPDATE_SWIG_WRAPPERS_FALSE = @UPDATE_SWIG_WRAPPERS_FALSE@
190 UPDATE_SWIG_WRAPPERS_TRUE = @UPDATE_SWIG_WRAPPERS_TRUE@
191 VERSION = @VERSION@
192 XINE_LIBS = @XINE_LIBS@
193 ac_ct_CC = @ac_ct_CC@
194 ac_ct_CXX = @ac_ct_CXX@
195 ac_ct_F77 = @ac_ct_F77@
196 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
197 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
198 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
199 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
200 am__include = @am__include@
201 am__leading_dot = @am__leading_dot@
202 am__quote = @am__quote@
203 am__tar = @am__tar@
204 am__untar = @am__untar@
205 bindir = @bindir@
206 build = @build@
207 build_alias = @build_alias@
208 build_cpu = @build_cpu@
209 build_os = @build_os@
210 build_vendor = @build_vendor@
211 datadir = @datadir@
212 datarootdir = @datarootdir@
213 docdir = @docdir@
214 dvidir = @dvidir@
215 exec_prefix = @exec_prefix@
216 host = @host@
217 host_alias = @host_alias@
218 host_cpu = @host_cpu@
219 host_os = @host_os@
220 host_vendor = @host_vendor@
221 htmldir = @htmldir@
222 includedir = @includedir@
223 infodir = @infodir@
224 install_sh = @install_sh@
225 libdir = @libdir@
226 libexecdir = @libexecdir@
227 localedir = @localedir@
228 localstatedir = @localstatedir@
229 mandir = @mandir@
230 mkdir_p = @mkdir_p@
231 oldincludedir = @oldincludedir@
232 pdfdir = @pdfdir@
233 pkgpyexecdir = @pkgpyexecdir@
234 pkgpythondir = @pkgpythondir@
235 prefix = @prefix@
236 program_transform_name = @program_transform_name@
237 psdir = @psdir@
238 pyexecdir = @pyexecdir@
239 pythondir = @pythondir@
240 sbindir = @sbindir@
241 sharedstatedir = @sharedstatedir@
242 sysconfdir = @sysconfdir@
243 target = @target@
244 target_alias = @target_alias@
245 target_cpu = @target_cpu@
246 target_os = @target_os@
247 target_vendor = @target_vendor@
248 EXTRA_DIST = precomp.cpp cxcoretest.dsp cxcoretest.vcproj
249 INCLUDES = \
250         -I$(top_srcdir)/cxcore/include \
251         -I$(top_srcdir)/tests/cxts
252
253 TESTS = $(check_PROGRAMS)
254 cxcoretest_SOURCES = \
255         cxcoretest.h        \
256         aarithm.cpp         \
257         adatastruct.cpp     \
258         adxt.cpp            \
259         amath.cpp           \
260         cxcoretest_main.cpp
261
262 cxcoretest_LDADD = \
263         $(top_builddir)/tests/cxts/libcxts.la \
264         $(top_builddir)/cxcore/src/libcxcore.la
265
266 all: all-am
267
268 .SUFFIXES:
269 .SUFFIXES: .cpp .lo .o .obj
270 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
271         @for dep in $?; do \
272           case '$(am__configure_deps)' in \
273             *$$dep*) \
274               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
275                 && exit 0; \
276               exit 1;; \
277           esac; \
278         done; \
279         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/cxcore/src/Makefile'; \
280         cd $(top_srcdir) && \
281           $(AUTOMAKE) --gnu  tests/cxcore/src/Makefile
282 .PRECIOUS: Makefile
283 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
284         @case '$?' in \
285           *config.status*) \
286             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
287           *) \
288             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
289             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
290         esac;
291
292 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
293         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
294
295 $(top_srcdir)/configure:  $(am__configure_deps)
296         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
297 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
298         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
299
300 clean-checkPROGRAMS:
301         @list='$(check_PROGRAMS)'; for p in $$list; do \
302           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
303           echo " rm -f $$p $$f"; \
304           rm -f $$p $$f ; \
305         done
306 cxcoretest$(EXEEXT): $(cxcoretest_OBJECTS) $(cxcoretest_DEPENDENCIES) 
307         @rm -f cxcoretest$(EXEEXT)
308         $(CXXLINK) $(cxcoretest_LDFLAGS) $(cxcoretest_OBJECTS) $(cxcoretest_LDADD) $(LIBS)
309
310 mostlyclean-compile:
311         -rm -f *.$(OBJEXT)
312
313 distclean-compile:
314         -rm -f *.tab.c
315
316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aarithm.Po@am__quote@
317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adatastruct.Po@am__quote@
318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adxt.Po@am__quote@
319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amath.Po@am__quote@
320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxcoretest_main.Po@am__quote@
321
322 .cpp.o:
323 @am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
324 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
325 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
326 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
327 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
328
329 .cpp.obj:
330 @am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
331 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
332 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
333 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
334 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
335
336 .cpp.lo:
337 @am__fastdepCXX_TRUE@   if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
338 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
339 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
340 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
342
343 mostlyclean-libtool:
344         -rm -f *.lo
345
346 clean-libtool:
347         -rm -rf .libs _libs
348
349 distclean-libtool:
350         -rm -f libtool
351 uninstall-info-am:
352
353 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
354         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
355         unique=`for i in $$list; do \
356             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
357           done | \
358           $(AWK) '    { files[$$0] = 1; } \
359                END { for (i in files) print i; }'`; \
360         mkid -fID $$unique
361 tags: TAGS
362
363 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
364                 $(TAGS_FILES) $(LISP)
365         tags=; \
366         here=`pwd`; \
367         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
368         unique=`for i in $$list; do \
369             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
370           done | \
371           $(AWK) '    { files[$$0] = 1; } \
372                END { for (i in files) print i; }'`; \
373         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
374           test -n "$$unique" || unique=$$empty_fix; \
375           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
376             $$tags $$unique; \
377         fi
378 ctags: CTAGS
379 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
380                 $(TAGS_FILES) $(LISP)
381         tags=; \
382         here=`pwd`; \
383         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
384         unique=`for i in $$list; do \
385             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
386           done | \
387           $(AWK) '    { files[$$0] = 1; } \
388                END { for (i in files) print i; }'`; \
389         test -z "$(CTAGS_ARGS)$$tags$$unique" \
390           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
391              $$tags $$unique
392
393 GTAGS:
394         here=`$(am__cd) $(top_builddir) && pwd` \
395           && cd $(top_srcdir) \
396           && gtags -i $(GTAGS_ARGS) $$here
397
398 distclean-tags:
399         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
400
401 check-TESTS: $(TESTS)
402         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
403         srcdir=$(srcdir); export srcdir; \
404         list='$(TESTS)'; \
405         if test -n "$$list"; then \
406           for tst in $$list; do \
407             if test -f ./$$tst; then dir=./; \
408             elif test -f $$tst; then dir=; \
409             else dir="$(srcdir)/"; fi; \
410             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
411               all=`expr $$all + 1`; \
412               case " $(XFAIL_TESTS) " in \
413               *" $$tst "*) \
414                 xpass=`expr $$xpass + 1`; \
415                 failed=`expr $$failed + 1`; \
416                 echo "XPASS: $$tst"; \
417               ;; \
418               *) \
419                 echo "PASS: $$tst"; \
420               ;; \
421               esac; \
422             elif test $$? -ne 77; then \
423               all=`expr $$all + 1`; \
424               case " $(XFAIL_TESTS) " in \
425               *" $$tst "*) \
426                 xfail=`expr $$xfail + 1`; \
427                 echo "XFAIL: $$tst"; \
428               ;; \
429               *) \
430                 failed=`expr $$failed + 1`; \
431                 echo "FAIL: $$tst"; \
432               ;; \
433               esac; \
434             else \
435               skip=`expr $$skip + 1`; \
436               echo "SKIP: $$tst"; \
437             fi; \
438           done; \
439           if test "$$failed" -eq 0; then \
440             if test "$$xfail" -eq 0; then \
441               banner="All $$all tests passed"; \
442             else \
443               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
444             fi; \
445           else \
446             if test "$$xpass" -eq 0; then \
447               banner="$$failed of $$all tests failed"; \
448             else \
449               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
450             fi; \
451           fi; \
452           dashes="$$banner"; \
453           skipped=""; \
454           if test "$$skip" -ne 0; then \
455             skipped="($$skip tests were not run)"; \
456             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
457               dashes="$$skipped"; \
458           fi; \
459           report=""; \
460           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
461             report="Please report to $(PACKAGE_BUGREPORT)"; \
462             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
463               dashes="$$report"; \
464           fi; \
465           dashes=`echo "$$dashes" | sed s/./=/g`; \
466           echo "$$dashes"; \
467           echo "$$banner"; \
468           test -z "$$skipped" || echo "$$skipped"; \
469           test -z "$$report" || echo "$$report"; \
470           echo "$$dashes"; \
471           test "$$failed" -eq 0; \
472         else :; fi
473
474 distdir: $(DISTFILES)
475         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
476         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
477         list='$(DISTFILES)'; for file in $$list; do \
478           case $$file in \
479             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
480             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
481           esac; \
482           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
483           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
484           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
485             dir="/$$dir"; \
486             $(mkdir_p) "$(distdir)$$dir"; \
487           else \
488             dir=''; \
489           fi; \
490           if test -d $$d/$$file; then \
491             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
492               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
493             fi; \
494             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
495           else \
496             test -f $(distdir)/$$file \
497             || cp -p $$d/$$file $(distdir)/$$file \
498             || exit 1; \
499           fi; \
500         done
501 check-am: all-am
502         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
503         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
504 check: check-am
505 all-am: Makefile
506 installdirs:
507 install: install-am
508 install-exec: install-exec-am
509 install-data: install-data-am
510 uninstall: uninstall-am
511
512 install-am: all-am
513         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
514
515 installcheck: installcheck-am
516 install-strip:
517         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
518           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
519           `test -z '$(STRIP)' || \
520             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
521 mostlyclean-generic:
522
523 clean-generic:
524
525 distclean-generic:
526         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
527
528 maintainer-clean-generic:
529         @echo "This command is intended for maintainers to use"
530         @echo "it deletes files that may require special tools to rebuild."
531 clean: clean-am
532
533 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
534         mostlyclean-am
535
536 distclean: distclean-am
537         -rm -rf ./$(DEPDIR)
538         -rm -f Makefile
539 distclean-am: clean-am distclean-compile distclean-generic \
540         distclean-libtool distclean-tags
541
542 dvi: dvi-am
543
544 dvi-am:
545
546 html: html-am
547
548 info: info-am
549
550 info-am:
551
552 install-data-am:
553
554 install-exec-am:
555
556 install-info: install-info-am
557
558 install-man:
559
560 installcheck-am:
561
562 maintainer-clean: maintainer-clean-am
563         -rm -rf ./$(DEPDIR)
564         -rm -f Makefile
565 maintainer-clean-am: distclean-am maintainer-clean-generic
566
567 mostlyclean: mostlyclean-am
568
569 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
570         mostlyclean-libtool
571
572 pdf: pdf-am
573
574 pdf-am:
575
576 ps: ps-am
577
578 ps-am:
579
580 uninstall-am: uninstall-info-am
581
582 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
583         clean-checkPROGRAMS clean-generic clean-libtool ctags \
584         distclean distclean-compile distclean-generic \
585         distclean-libtool distclean-tags distdir dvi dvi-am html \
586         html-am info info-am install install-am install-data \
587         install-data-am install-exec install-exec-am install-info \
588         install-info-am install-man install-strip installcheck \
589         installcheck-am installdirs maintainer-clean \
590         maintainer-clean-generic mostlyclean mostlyclean-compile \
591         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
592         tags uninstall uninstall-am uninstall-info-am
593
594 # Tell versions [3.59,3.63) of GNU make to not export all variables.
595 # Otherwise a system limit (for SysV at least) may be exceeded.
596 .NOEXPORT: